<template>
  <v-container>
    <v-row class="mt-4">
      <v-col
          v-for="item in professionals"
          :key="item.id"
          cols="3"
      >
        <v-card class="mx-auto">
          <v-card-text>
            <p class="text-h4 text--primary">
              {{  item.first_name }} {{ item.last_name }}
            </p>
            <div class="font-italic ">
              {{ item.expertise_id }}
            </div>
          </v-card-text>
          <v-card-actions>
            <v-chip color="purple" text-color="white">
              <v-avatar left class="text-h6">{{ item.number_of_projects }}</v-avatar>
              Projects
            </v-chip>
          </v-card-actions>
        </v-card>
      </v-col>
    </v-row>
  </v-container>
</template>

<script lang="ts">
import Vue from 'vue'

export default Vue.extend({
  name: 'HelloWorld',

  data: () => ({
    professionals: [],
  }),
  methods: {
    async getProfessionals() {
      this.$store.commit("toggleLoading")
      const response = await Vue.axios.get("https://api.renotive.demo.greensoft.dev/professional")
      this.professionals = response.data.data
      this.$store.commit("toggleLoading")
    }
  },
  async mounted(){
    await this.getProfessionals()
  }
})
</script>
